{
 this file is part of Ares
 Copyright (C)2005 Aresgalaxy ( http://aresgalaxy.sourceforge.org )

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 }

{
Description:
the main chat server code
}
unit thread_chatroom;

interface

uses
Classes,sysutils,windows,const_ares,blcksock,synsock;

type
tthread_chatroom=class(tthread)
 public
  chname:widestring;
  mychanneltopic:string;
 protected
  procedure execute; override;
end;

implementation

procedure tthread_chatroom.execute;
begin
freeOnTerminate:=false;
priority:=tpNormal;

 while not terminated do begin
  sleep(10);
 end;
end;

end.
